%define version 2.5
%define cvs 20031010
%define rel 3mdk

%define major 1
%define libname %mklibname %name %major
%define libnamestc %mklibname %name-stc %major
%define libnamexrc %mklibname %name-xrc %major

Summary: The GTK+ 2 port of the wxWindows library
Name: wxGTK2ud
Version: %{version}
Release: 0.%{cvs}.%{rel}
License: LGPL
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
URL: http://www.wxwindows.org
BuildRoot: %{_tmppath}/%{name}-root

# Provides: libwx_gtk2ud-%{version}.a
BuildRequires: libtiff-devel libpng-devel libjpeg-devel
BuildRequires: gtk+2-devel

%description
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package -n %libname
Summary: The GTK+ 2 port of the wxWindows library
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n %libname
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package -n %libname-devel
Summary: The GTK+ 2 port of the wxWindows library
Group: Development/Other
Provides: lib%name-devel = %version-%release
Requires: %{libname} = %{version}-%{release}
Obsoletes: %name < %version-%release
Conflicts: wxGTK2.5-devel
Conflicts: wxGTK2.4-devel

%description -n %libname-devel
Header files for wxGTK, the GTK+ 2 port of the wxWindows library.

# xrc
%package -n %libnamexrc
Summary: The XML-based resource system for the wxWindows library.
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-xrc = %{version}-%{release}

%description -n %libnamexrc
The XML-based resource system, known as XRC, allows user interface
elements such as dialogs, menu bars and toolbars, to be stored in
text files and loaded into the application at run-time.

%package -n %libnamexrc-devel
Summary: The XML-based resource system for the wxWindows library.
Group: Development/Other
Requires: %{libnamexrc} = %{version}-%{release}
Provides: lib%{name}-xrc-devel = %{version}-%{release}
Provides: %name-xrc-devel = %{version}-%{release}

%description -n %libnamexrc-devel
The XML-based resource system, known as XRC, allows user interface
elements such as dialogs, menu bars and toolbars, to be stored in
text files and loaded into the application at run-time.

# stc
%package -n %libnamestc
Summary: Styled text control.
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-stc = %{version}-%{release}

%description -n %libnamestc
Styled text control based on the Scintillia project http://www.scintilla.org/.

%package -n %libnamestc-devel
Summary: Styled text control.
Group: Development/Other
Requires: %{libnamestc} = %{version}-%{release}
Provides: lib%{name}-stc-devel = %{version}-%{release}
Provides: %name-stc-devel = %{version}-%{release}

%description -n %libnamestc-devel
Styled text control based on the Scintillia project http://www.scintilla.org/.

%prep
%setup -q

%build
%configure --with-gtk --enable-gtk2 --enable-unicode --enable-shared
## --enable-monolithic 
%make

pushd contrib/src
        %make -C xrc
        %make -C stc
popd

%install
rm -rf %{buildroot}
%makeinstall

pushd contrib/src/
  %makeinstall -C xrc
  %makeinstall -C stc
popd

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libnamexrc -p /sbin/ldconfig
%postun -n %libnamexrc -p /sbin/ldconfig

%post -n %libnamestc -p /sbin/ldconfig
%postun -n %libnamestc -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/libwx_baseu*.so.*
%_libdir/libwx_gtk2u_adv*.so.*
%_libdir/libwx_gtk2u_core*.so.*
%_libdir/libwx_gtk2u_html*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_bindir/*
%_libdir/libwx_baseu*.so
%_libdir/libwx_gtk2u_adv*.so
%_libdir/libwx_gtk2u_core*.so
%_libdir/libwx_gtk2u_html*.so
%dir %_includedir/wx
%_includedir/wx/*.h
%_includedir/wx/*.cpp
%_includedir/wx/*.inl
%_includedir/wx/protocol
%_includedir/wx/unix
%_includedir/wx/gtk
%_includedir/wx/generic
%_includedir/wx/html
%_libdir/wx
%_datadir/aclocal/wxwin.m4
%_datadir/wx


%files -n %libnamexrc
%defattr(-,root,root)
%_libdir/libwx_baseu_xml*.so.*
%_libdir/libwx_gtk2u_xrc*.so.*

%files -n %libnamexrc-devel
%defattr(-, root, root)
%_libdir/libwx_baseu_xml*.so
%_libdir/libwx_gtk2u_xrc*.so
%_includedir/wx/xrc
%_includedir/wx/xml

%files -n %libnamestc
%defattr(-, root, root)
%_libdir/libwx_gtk2u_stc*.so.*

%files -n %libnamestc-devel
%defattr(-, root, root)
%_includedir/wx/stc
%_libdir/libwx_gtk2u_stc*.so

%changelog
* Sun Feb 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5-0.20031010.3mdk
- Conflicts wxGTK2.4

* Fri Jan 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5-0.20031010.2mdk
- Conflicts wxGTK2.5
- do not made a %%name rpm

* Thu Jan 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5-0.20031010.1mdk
- initial mdk rpm

* Mon Jun 10 2003 Jean-Michel POURE <pgadmin-hackers@postgresql.org>
- Initial build.
